Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158254 - iiimd appears to be rapidly leaking memory
Summary: iiimd appears to be rapidly leaking memory
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: iiimf
Version: rawhide
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: IIIMF FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-05-19 22:50 UTC by Dave Malcolm
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: iiimf-12.2-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-27 04:32:34 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2005-05-19 22:50:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050504 Fedora/1.0.3-4 Firefox/1.0.3

Description of problem:


Version-Release number of selected component (if applicable):
iiimf-server-12.2-3

How reproducible:
Didn't try

Steps to Reproduce:
Log in to GNOME desktop on my rawhide-ish workstation.



Actual Results:  Watch memory usage steadily increase at rate of about 50MB/second

I ran top, search by memory usage (before machine grinds to a halt), and iiimd is using the most memory.  Kill it (as root) and memory usage drops by a huge amount:
PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 4631 iiimd     16   0  448m 421m 3036 S  0.0 41.8   0:10.84 iiimd


Expected Results:  Moderate, constant memory usage for the process.

Additional info:

I can provide more information as required.

Comment 1 Dave Malcolm 2005-05-19 22:53:28 UTC
Appears to only leak memory when "No Input Method connected" appears in the
floating window next to the active window.  If I use GIMLET to switch to an
input method, the rapid memory usage seems to stop.

Comment 2 Warren Togami 2005-05-27 07:13:59 UTC
What LANG is the desktop?


Comment 3 Jens Petersen 2005-05-27 09:07:34 UTC
Does it happen if you uninstall iiimf-x and start a new X session?

Comment 4 Jens Petersen 2005-05-27 09:14:39 UTC
FWIW I have seen with this with 12.2, iiimx and Emacs in recent  rawhide.

Comment 5 Akira TAGOH 2005-06-02 11:09:54 UTC
I can now reproduce this problem after changing to "follow quickmenu" mode at
gimlet. and run any X applications which is using XIM.

Comment 6 Akira TAGOH 2005-06-10 11:40:41 UTC
a patch to avoid this leaking *rapidly* was committed in CVS. it should be
better in next build.

Comment 7 Akira TAGOH 2005-06-16 12:13:39 UTC
please confirm this problem with 12.2-5.

Comment 8 Lawrence Lim 2005-06-27 04:32:34 UTC
Confirm fixed with iiimf-12.2-5.

Steps to reproduce from iiimf-12.2-4,
1) install iiimf-12.2-4
2) restart X
3) in g-t, start emacs


Note You need to log in before you can comment on or make changes to this bug.